Layout(3)

NAME
Log::Log4perl::Layout - Log4perl Layout Virtual Base Class

SYNOPSIS
    # Not to be used directly, see below

DESCRIPTION
"Log::Log4perl::Layout" is a virtual base class for the two currently implemented layout types

    Log::Log4perl::Layout::SimpleLayout
    Log::Log4perl::Layout::PatternLayout

Unless you're implementing a new layout class for Log4perl, you shouldn't use this class directly, but rather refer to Log::Log4perl::Layout::SimpleLayout or Log::Log4perl::Layout::PatternLayout.

LICENSE
Copyright 2002-2026 by Mike Schilli <m@perlmeister.com> and Kevin Goess <cpan@goess.org>.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.